:root {
    /* Color */
    --body-color: #090717;
    --primary-color: #0d6efd;
    --primary-color-opacity: #0d6dfd1c;
    --primary-color-light: #f6f5ff;
    --card-color: #161326;
    --sidebar-color: var(--card-color);
    --toggle-color: #ddd;
    --src-border-color: #707070;
    --input-box-shadow: #257cc4;
    --card-hover: #1b1731;
    --nav-bottom-icon-color: #f6f5ff;
    --bg-scroll-bar: #e4e9f7;
    --thumb-color: #b1b1b1;
    --thumb-hover-color: #888;
    /* Color End */
  
    /* Text Color */
    --text-color: #707070;
    --text-color-light: #dee2e6;
    --text-color-white: #fff;
    --text-color-primary: var(--primary-color);
    /* Text Color */
  
    /* Transisi */
    --tran-02: all 0.2s ease;
    --tran-03: all 0.3s ease;
    --tran-04: all 0.4s ease;
    --tran-05: all 0.5s ease;
    /* Transisi End */
    
    --track-color: #090717;
    --thumb-hover-color: #231e44;
    --thumb-color: #1c1738;
}

/* Toasts */
.toast {
    animation: fadeInOut 1s ease-in-out;
}
@keyframes fadeInOut {
    0% {
        opacity: 0;
        transform: translateX(50px);
    }
    50% {
        opacity: 1;
        transform: translateX(-20px);
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}



#subscribeToast.toast.show {
    width: 400px;
    position: fixed;
    bottom: 0;
    right: 0;
    padding: 10px;
    background-color: transparent;
    z-index: 5000 !important;
    display: block;
}
.toast .toast-header {
    background-color: var(--primary-color);
    border-radius: 10px 10px 0px 0px;
}
.toast .toast-body {
    border-radius: 0px 0px 10px 10px;
}

@media (max-width: 768px) {
    #subscribeToast.toast.show {
        width: 100% !important;
        position: fixed;
        top: 50px;
        left: 50%;
        transform: translate(-50%);
    }
}
/* Toasts End */



.anime {
    position: relative !important;
    left: 300px;
    width: calc(100% - 300px);
    background: black;
    transition: var(--tran-05);
}

.anime .banner-anime {
    position: fixed;
    width: 100%;
    top: 55px;
}
.anime .banner-anime::after {
    content: "";
    position: absolute;
    top: 5px;
    left: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0px -60px 21px -2px rgba(0,0,0,0.75) inset;
      -webkit-box-shadow: 0px -60px 21px -2px rgba(0,0,0,0.75) inset;
      -moz-box-shadow: 0px -60px 21px -2px rgba(0,0,0,0.75) inset;
    background-image: linear-gradient(to bottom, rgba(22, 19, 38, 0) 0%, rgba(22, 19, 38, 0.8) 80%);
}
.anime .banner-anime img {
    width: 100%;
    aspect-ratio: 16/6 !important;
    background-size: cover;
    object-fit: cover;
    background-position: center;
}

.anime-header {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 45px;
    background-color: transparent;
    width: calc(100% - 300px);
    transition: var(--tran-05);
}
.sidebar.close ~ section.anime .anime-header {
    left: 88px;
    width: calc(100% - 88px);
}
.anime-header .back {
    opacity: 1;
    visibility: visible;
    z-index: 9999;
}
.anime-header .back i {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 50px;
    padding: 10px;
}

.anime-header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    transition: var(--tran-05);
    z-index: -1;
}
.anime-header .anime-title .anime-title-nav {
    opacity: 0;
    visibility: hidden;
    transition: var(--tran-05);
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 100%;
}
.anime-header .anime-title .anime-title-nav.active {
    opacity: 1;
    visibility: visible;
}
section.anime .anime-header.active::before {
    background-image: linear-gradient(to top,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 0.1) 3%,
        rgba(0, 0, 0, 0.2) 5%,
        rgba(0, 0, 0, 0.3) 10%,
        rgba(0, 0, 0, 0.4) 15%,
        rgba(0, 0, 0, 0.5) 20%,
        rgba(0, 0, 0, 0.7) 40%,
        rgba(0, 0, 0, 0.8) 60%,
        rgba(0, 0, 0, 0.9) 80%,
        rgba(0, 0, 0, 1) 100%);
    opacity: 1;
    visibility: visible;
}
section.anime .anime-header.active .back i {
    background-color: transparent !important;
}

@media (max-width: 768px) {
    section.anime .anime-header {
        position: fixed !important;
        top: 0;
        left: 0px !important;
        width: 100% !important;
        padding: 10px 15px;
        z-index: 9999 !important;
    }
}

.anime-container {
    background-color: black;
    min-height: 100svh;
}
.anime-title {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.anime-details {
    background: linear-gradient(to top, rgba(0,0,0,0.8) 0%, rgba(0,0,0,0.9) 90%, rgba(0,0,0,0) 100%);
    position: relative;
    margin-top: 290px;
    padding: 0px 45px;
}
.detail .anime-name {
    color: var(--text-color-primary);
}
.detail .rating-info i {
    color: var(--text-color-primary) !important;
}
.detail .genre {
    display: flex;
    flex-wrap: wrap;
}
.detail .genre > * {
    display: block;
    text-decoration: none;
    border: 1px solid var(--primary-color);
    border-radius: 1px 20px 20px 20px;
    padding: 5px 10px;
    font-size: clamp(10px, 2.5vw, 15px);
}
.detail .genre > *:hover {
    background-color: var(--primary-color);
    transition: var(--tran-03);
}


.detail .subscribe-jadwal-tayang-container {
    display: flex;
    justify-content: center;
}
.detail .subscribe-btn button {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--card-color);
    border-radius: 50px;
    padding: 10px 20px;
    cursor: pointer;
}
.detail .jadwal-tayang-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--primary-color);
    border-radius: 50px;
    padding: 10px 20px;
}
.detail .jadwal-tayang-btn > * {
    font-weight: 500;
    color: black;
}
.detail .lanjut-menonton-btn {
    display: flex;
    justify-content: center;
    background-color: var(--card-color);
    border-radius: 50px;
    padding: 10px 20px;
    cursor: pointer;
}
.detail .lanjut-menonton-btn > * {
    color: var(--text-color-primary);
}
.detail .subscribe-btn button:hover,
.detail .lanjut-menonton-btn:hover {
    background-color: var(--card-hover);
    transition: var(--tran-03);
}

@media (max-width: 768px) {
    .detail .subscribe-btn,
    .detail .jadwal-tayang-btn {
        width: 100%;
    }
}



/* Filter dan Search */
.detail .filter {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.detail .filter i {
    color: var(--text-color-primary);
    cursor: pointer;
}
.detail .filter .actions {
    display: flex;
    align-items: center;
    gap: 5px;
}
.detail .filter .actions .search-episode-box {
    display: flex;
    align-items: center;
    background-color: transparent;
    border: 1px solid var(--text-color);
    border-radius: 50px;
    padding: 5px 10px;
    gap: 4px;
}
.detail .filter .actions .search-episode-box i {
    color: var(--text-color);
    margin-top: 1px;
}
.detail .filter .actions .search-episode-box:focus-within {
    border-color: var(--primary-color);
    transition: var(--tran-03);
}
.detail .filter .actions .search-episode-box:focus-within i {
    color: var(--text-color-primary);
    transition: var(--tran-03);
}
.detail .filter .actions .search-episode-box input {
    width: clamp(100px, 35vw, 200px);
    background-color: transparent;
    border: none;
    color: var(--text-color-light);
}
.detail .filter .actions .search-episode-box input:focus {
    border: none;
    outline: none;
}

@media (max-width: 768px) {
    .detail .filter .actions .search-episode-box i,
    .detail .filter .actions .search-episode-box input {
        font-size: clamp(10px, 3.5vw, 15px);
    }
}
/* Filter dan Search End */


/* Episodes */
.episodes a:hover .card-episode {
    background-color: var(--card-hover);
    transition: var(--tran-03);
}
.episodes .card-episode {
    background-color: var(--card-color);
    border-radius: 10px 10px 10px 1px;
    padding: 10px 20px;
    width: 100%;
}
.episodes .card-episode .episode-info h5 {
    color: var(--text-color-primary);
}

@media (max-width: 768px) {
    .episodes .card-episode .view-info i {
        margin-bottom: 1px;
        font-size: clamp(10px, 2.5vw, 15px);
    }
}
/* Episodes End */


/* Batches */
.batches .card-batch {
    background-color: var(--primary-color-opacity);
    border: 1px solid var(--primary-color);
    color: var(--text-color-light);
    border-radius: 10px 10px 10px 1px;
    padding: 10px 20px;
    width: 100%;
}
.batches a:hover .card-batch {
    background-color: var(--primary-color);
    transition: var(--tran-03);
}
/* Batches End */



.nav-bottom {
    display: none;
}



@media (max-width: 768px) {
    .anime .navbar {
        display: none !important;
    }
    .anime .banner-anime {
        top: 0 !important;
    }
    .anime .banner-anime::after {
        content: "";
        position: absolute;
        top: 0px;
        left: 0;
        width: 100%;
        height: 100%;
        box-shadow: 0px -20px 21px -2px rgba(0,0,0,0.75) inset;
          -webkit-box-shadow: 0px -20px 21px -2px rgba(0,0,0,0.75) inset;
          -moz-box-shadow: 0px -20px 21px -2px rgba(0,0,0,0.75) inset;
        background-image: linear-gradient(to bottom, rgba(22, 19, 38, 0) 0%, rgba(22, 19, 38, 0.8) 80%);
    }
    .anime .banner-anime img {
        aspect-ratio: 16/8 !important;
    }
    .anime-details {
        padding: 0px 15px;
        margin-top: 150px;
    }
}


.sinopsis-container {
    max-height: 150px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.sinopsis-container.open {
    max-height: none !important;
    -webkit-line-clamp: none !important;
}
.sinopsis-container+button {
    margin-top: 20px !important;
}
.sinopsis-container.open+button {
    margin-top: 0px !important;
}


/* Scrollbar */
@media (min-width: 768px) {
  ::-webkit-scrollbar {
    width: 10px;
    height: 10px;
  }

  /* Hilangkan arrow button */
  ::-webkit-scrollbar-button {
    display: none;
    height: 0;
    width: 0;
  }
  ::-webkit-scrollbar-track {
    background-color: var(--track-color);
  }
  ::-webkit-scrollbar-thumb {
    border-radius: 0;
    background-color: var(--thumb-color);
    background-clip: padding-box;
    border: none;
  }
  ::-webkit-scrollbar-thumb:hover {
    background-color: var(--thumb-hover-color);
  }
  
  /* Untuk Firefox */
  * {
    scrollbar-width: thin;
    scrollbar-color: var(--thumb-color) var(--track-color);
  }
}
